Image Hosted by ImageShack.us

Se avete seguito le migliaia di “HOWTO Install Xgl” in giro per il web..avrete notato sicuramente l’ultima novita’ ..riguardo la saga di questa sfortunatissima azienda che produce schede video.

GLX_EXT_texture_from_pixmap is missing
Failed to manage screen: 0
No managable screens found on display :1.0

Il problema e’ propio che la Ati non ha ancora rilasciato i driver con questa nuova estensione..per cui la corsa a downgrade e/o aggiornamenti folli..e’ completamente inutile.
Quando vengono installati gli Fglrx ,viene sovrascritto /usr/lib/libGL.so.1.2 con libGL.so.1.2 dei driver ati,facendo cosi’ cadere questa feature.

Che dire..che fare…per chi ha Kde..(compiz ,fglrx e xgl la vedo dura che possa funzionare)..provate a creare uno script per lanciare beryl..
La versione libmesa per Feisty e’ la 6.5.2 ..mentre in beryl-xgl è inclusa statica la 6.5.1
La libreria LibGL.so.1.2 si trova in

/usr/lib
/usr/lib/xorg

Provate entrambe le versioni..spostandole una alla volta in

/opt/mesa/

Poi create uno script da inserire in

$HOME/.kde/Autostart

#!/bin/sh
LD_PRELOAD=/opt/mesa/libGL.so.1.2 beryl-xgl
emerald --replace

Per renderlo eseguibile:

sudo chmod 775 $HOME/.kde/Autostart/script.sh

E provate se funziona..a me va tutto in freeze..ho provato tutti i metodi.

Related Posts Plugin for WordPress, Blogger...

Il tuo indirizzo ip:
54.224.164.166

Valutazione 3.00 su 5
happy wheels 2 demo

Category:

Senza categoria

Tags:

,

Commenti via Facebook:

Leave a Reply

Your email address will not be published. Required fields are marked *

*

12 Comments

  • Leddolo ITALY 10 anni ago

    Ciao diviliunx!Quindi questo problema non si risolve neanche con i driver 8.34.8?E installando una versione precedente di Beryl?Ciao!

      Quota

  • a questo punto,credo che l’aggiornamento dei mesa sia arrivato anche alla edgy..quindi nemmeno con versioni precedenti dovrebbe funzionare
    li ho provati tutti fino al 10 di Febbraio…ma niente da fare

      Quota

  • Maramax ITALY 10 anni ago

    Non è poi un problema così recente…
    Questo è del 18 dicembre 2006…magari risolvete qualcosa…
    http://blog.micampe.it/articles/2006/02/18/ubuntu-fglrx-xgl-compiz-and-missing-glx_ext_texture_from_pixmap

    L’unica vera soluzione per il momento è quella di abbandonare ATi e il suo supporto scadente al mondo open source.

      Quota

  • ..a me fino alla settimana scorsa beryl funzionava (prima di aggiornare a feisty)
    certo..per sicurezza era piu’ o meno un mese che non facevo upgrade della versione svn..
    cmq propio come dici tu Maramax,questa settimana vado a vedere per il computer nuovo..e l’unica cosa che so e’ che NON avra’ una scheda ati..;)

      Quota

  • gianlucaccio SWITZERLAND 10 anni ago

    che delusione sta ATI , anch io ci ho provato un casino di volte, e nn sono mai riuscito a far andare ne aiglx ne’ xgl con le ati , ora sul pc , mi sono accontentato dei driver 3d e BASTA, peccato quando usavo win ho sempre apprezzato ati per il suo rapporto prezzo -prestazioni … ma ora , mai + solo NVIDIA , quando mi avanzeranno 50-100 euri nel portamonete sara’ sicuramente installata nel mio pc- muletto… il principale ha gia’ nvidia … sto pensando d inviare una lettera ad ati-amd che hanno perso un potenziale cliente ,.. 🙁 ciao !

      Quota

  • detto fatto..geforce go 7500LE..funziona benissimo,coi driver dei repository..aiglx xgl compiz beryl..tutto senza problemi e/o settimane passate a spippolare con gli fglrx o i radeon opensources..;)

      Quota

  • shapur ITALY 10 anni ago

    Un’altro cliente di Ati che passerà a NVIDIA…
    Perchè non creiamo un sito o forum per riunire tutti gli exclienti di ati? Cosi facciamo rimpiangere ati per le sue decisioni..

    Ciao a tutti!!

      Quota

  • Ci vorrebbe un sito cosi’.. giusto per far arrivare la protesta almeno alla ATI Italia…

      Quota

  • meglio NVIDIA, addio ATI ITALY 10 anni ago

    Scusate ma cosa diavolo state dicendo? xgl con fglrx ha sempre funzionato, il problema è AIGLX non xgl.
    GLX_EXT_texture_from_pixmap manca negli fglrx ed è il motivo per cui quei drivers non fanno il loro dovere con AIGLX.

      Quota

  • @meglio NVIDIA
    e’ vero, l’articolo e’ vecchio e impostato male
    ma l’errore che girava in quel periodo era riferito a questo

    Quando vengono installati gli Fglrx ,viene sovrascritto /usr/lib/libGL.so.1.2 con libGL.so.1.2 dei driver ati

    Per il resto vale quello che hai detto tu: l’errore GLX_EXT_Texture sta ad indicare che i driver fglrx non supportano AIGLX..e non Xgl
    Lo metto nella lista degli articoli da revisionare . Grazie della segnalazione
    😉

      Quota